# artifactInfoTypes

Types of artifacts that can be analyzed for security issues.

### Examples

```graphql
enum ArtifactInfoTypes {
  Container
  Lambda
  NPM
  Yarn
  Serverless
}
```

### Enum values

| Enum value | Description                     |
| ---------- | ------------------------------- |
| Container  | Container image artifact        |
| Lambda     | AWS Lambda function artifact    |
| NPM        | NPM package artifact            |
| Yarn       | Yarn package artifact           |
| Serverless | Serverless application artifact |

### References

#### Fields with this object:

* [{} IArtifactInfo.type](/api-documentation/api-reference/api--artifact/types/objects/i-artifact-info.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--artifact/types/enums/artifact-info-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
